summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..e950549
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+set -e
+
+pacman-key --init
+pacman -Syu --noconfirm --needed base-devel git openssh rsync deno
+
+mkdir -p ~/.ssh
+chmod -R 755 ~/.ssh
+cp "$SECRET_SSH" ~/.ssh/id_ed25519
+chmod 600 ~/.ssh/id_ed25519
+echo "aphrodite.toufy.me" | xargs ssh-keyscan >~/.ssh/known_hosts
+
+deno install
+deno run build
+
+rsync -raz --delete ./build/. root@aphrodite.toufy.me:/var/www/toufy.me/